Subject: Re: bug#46436: 27.1.91; Font weight issue on MacOS Big Sur

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 17 Jun 2022 14:30:57 +0200

Arnaud Antkowiak <[email-masked]> writes:

> All the informations on font weight appear to be stripped out in Mac OS Big Sur ; as a result, a single weight takes precedence over the others.
> As an example, if I install say Roboto Mono Light, I can see the font via M-x describe-font as :
>
> -*-Roboto Mono-bold-italic-normal-*-*-*-*-*-m-0-iso10646-1
> -*-Roboto Mono-bold-normal-normal-*-*-*-*-*-m-0-iso10646-1
> -*-Roboto Mono-normal-italic-normal-*-*-*-*-*-m-0-iso10646-1
> -*-Roboto Mono-normal-normal-normal-*-*-*-*-*-m-0-iso10646-1
>
> The ‘light’ weight information does not appear.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

The font weight selection code has been revamped since this bug report
was filed -- do you still see this problem in Emacs 29?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no